Interface InvokeInferenceRouterResponse.Builder

  • Method Details

    • body

      The inference that the model returned.

      Parameters:
      body - The inference that the model returned.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • contentType

      The MIME type of the inference returned in the response body.

      Parameters:
      contentType - The MIME type of the inference returned in the response body.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • invokedRoutedResourceArn

      InvokeInferenceRouterResponse.Builder invokedRoutedResourceArn(String invokedRoutedResourceArn)

      The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.

      Parameters:
      invokedRoutedResourceArn - The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • routingReason

      InvokeInferenceRouterResponse.Builder routingReason(String routingReason)

      The reason that the router chose the destination that served the request. Possible values:

      • local-preferred – The destination is a healthy destination in the router's Region.

      • capacity-available – No destination in the router's Region could take the request, and two or more destinations in other Regions could.

      • only-healthy – No destination in the router's Region could take the request, and exactly one destination in another Region could.

      • failover – The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.

      Parameters:
      routingReason - The reason that the router chose the destination that served the request. Possible values:

      • local-preferred – The destination is a healthy destination in the router's Region.

      • capacity-available – No destination in the router's Region could take the request, and two or more destinations in other Regions could.

      • only-healthy – No destination in the router's Region could take the request, and exactly one destination in another Region could.

      • failover – The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • invokedProductionVariant

      InvokeInferenceRouterResponse.Builder invokedProductionVariant(String invokedProductionVariant)

      The production variant of the destination endpoint that served the request.

      Parameters:
      invokedProductionVariant - The production variant of the destination endpoint that served the request.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • customAttributes

      InvokeInferenceRouterResponse.Builder customAttributes(String customAttributes)

      Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.

      Parameters:
      customAttributes - Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.
      Returns:
      Returns a reference to this object so that method calls can be chained together.